package com.mortals.xhx.module.skin.model;

import java.util.List;
import com.mortals.xhx.module.skin.model.SkinBaseEntity;
/**
* 系统基础皮肤查询对象
*
* @author zxfei
* @date 2022-05-16
*/
public class SkinBaseQuery extends SkinBaseEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 所属种类,来源种类 */
    private Long categoryIdStart;

    /** 结束 所属种类,来源种类 */
    private Long categoryIdEnd;

    /** 增加 所属种类,来源种类 */
    private Long categoryIdIncrement;

    /** 所属种类,来源种类列表 */
    private List <Long> categoryIdList;

    /** 设备类型  (pdj.排队机，ckp.窗口屏，hjq.呼叫器，jzxsp.集中显示屏，dsj.导视机，pjq.评级器，zzfwzd.自助服务终端，tdj.填单机，ybj.样表机) */
    private List<String> deviceTypeList;

    /** 皮肤名称 */
    private List<String> shortNameList;

    /** 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280) */
    private List<String> imageResolutionList;

    /** 背景大图 */
    private List<String> backgroundImagePathList;

    /** 现场取号图片 */
    private List<String> sceneNumImagePathList;

    /** 预约取号图片 */
    private List<String> bookingNumImagePathList;

    /** vip取号图片 */
    private List<String> vipNumImagePathList;

    /** 重打小票图片 */
    private List<String> smallTicketNumImagePathList;

    /** 现场签到图片 */
    private List<String> sceneSignImagePathList;

    /** 政务网取号图片 */
    private List<String> govNumImagePathList;

    /** 标题颜色 */
    private List<String> titleColorStyleList;

    /** 时间颜色 */
    private List<String> timeColorStyleList;

    /** 数据标题颜色 */
    private List<String> dataTitleColorStyleList;

    /** 数据颜色 */
    private List<String> dataColorStyleList;

    /** 备案颜色 */
    private List<String> recordColorStyleList;

    /** 预览图片 */
    private List<String> previewImagePathList;

    /** 开始 排序编号 */
    private Integer sortNumStart;

    /** 结束 排序编号 */
    private Integer sortNumEnd;

    /** 增加 排序编号 */
    private Integer sortNumIncrement;

    /** 排序编号列表 */
    private List <Integer> sortNumList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<SkinBaseQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<SkinBaseQuery> andConditionList;

    public SkinBaseQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 所属种类,来源种类
    * @return categoryIdStart
    */
    public Long getCategoryIdStart(){
        return this.categoryIdStart;
    }

    /**
    * 设置 开始 所属种类,来源种类
    * @param categoryIdStart
    */
    public void setCategoryIdStart(Long categoryIdStart){
        this.categoryIdStart = categoryIdStart;
    }

    /**
    * 获取 结束 所属种类,来源种类
    * @return $categoryIdEnd
    */
    public Long getCategoryIdEnd(){
        return this.categoryIdEnd;
    }

    /**
    * 设置 结束 所属种类,来源种类
    * @param categoryIdEnd
    */
    public void setCategoryIdEnd(Long categoryIdEnd){
        this.categoryIdEnd = categoryIdEnd;
    }

    /**
    * 获取 增加 所属种类,来源种类
    * @return categoryIdIncrement
    */
    public Long getCategoryIdIncrement(){
        return this.categoryIdIncrement;
    }

    /**
    * 设置 增加 所属种类,来源种类
    * @param categoryIdIncrement
    */
    public void setCategoryIdIncrement(Long categoryIdIncrement){
        this.categoryIdIncrement = categoryIdIncrement;
    }

    /**
    * 获取 所属种类,来源种类
    * @return categoryIdList
    */
    public List<Long> getCategoryIdList(){
        return this.categoryIdList;
    }

    /**
    * 设置 所属种类,来源种类
    * @param categoryIdList
    */
    public void setCategoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
    }

    /**
    * 获取 设备类型  (pdj.排队机，ckp.窗口屏，hjq.呼叫器，jzxsp.集中显示屏，dsj.导视机，pjq.评级器，zzfwzd.自助服务终端，tdj.填单机，ybj.样表机)
    * @return deviceTypeList
    */
    public List<String> getDeviceTypeList(){
        return this.deviceTypeList;
    }

    /**
    * 设置 设备类型  (pdj.排队机，ckp.窗口屏，hjq.呼叫器，jzxsp.集中显示屏，dsj.导视机，pjq.评级器，zzfwzd.自助服务终端，tdj.填单机，ybj.样表机)
    * @param deviceTypeList
    */
    public void setDeviceTypeList(List<String> deviceTypeList){
        this.deviceTypeList = deviceTypeList;
    }
    /**
    * 获取 皮肤名称
    * @return shortNameList
    */
    public List<String> getShortNameList(){
        return this.shortNameList;
    }

    /**
    * 设置 皮肤名称
    * @param shortNameList
    */
    public void setShortNameList(List<String> shortNameList){
        this.shortNameList = shortNameList;
    }
    /**
    * 获取 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    * @return imageResolutionList
    */
    public List<String> getImageResolutionList(){
        return this.imageResolutionList;
    }

    /**
    * 设置 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    * @param imageResolutionList
    */
    public void setImageResolutionList(List<String> imageResolutionList){
        this.imageResolutionList = imageResolutionList;
    }
    /**
    * 获取 背景大图
    * @return backgroundImagePathList
    */
    public List<String> getBackgroundImagePathList(){
        return this.backgroundImagePathList;
    }

    /**
    * 设置 背景大图
    * @param backgroundImagePathList
    */
    public void setBackgroundImagePathList(List<String> backgroundImagePathList){
        this.backgroundImagePathList = backgroundImagePathList;
    }
    /**
    * 获取 现场取号图片
    * @return sceneNumImagePathList
    */
    public List<String> getSceneNumImagePathList(){
        return this.sceneNumImagePathList;
    }

    /**
    * 设置 现场取号图片
    * @param sceneNumImagePathList
    */
    public void setSceneNumImagePathList(List<String> sceneNumImagePathList){
        this.sceneNumImagePathList = sceneNumImagePathList;
    }
    /**
    * 获取 预约取号图片
    * @return bookingNumImagePathList
    */
    public List<String> getBookingNumImagePathList(){
        return this.bookingNumImagePathList;
    }

    /**
    * 设置 预约取号图片
    * @param bookingNumImagePathList
    */
    public void setBookingNumImagePathList(List<String> bookingNumImagePathList){
        this.bookingNumImagePathList = bookingNumImagePathList;
    }
    /**
    * 获取 vip取号图片
    * @return vipNumImagePathList
    */
    public List<String> getVipNumImagePathList(){
        return this.vipNumImagePathList;
    }

    /**
    * 设置 vip取号图片
    * @param vipNumImagePathList
    */
    public void setVipNumImagePathList(List<String> vipNumImagePathList){
        this.vipNumImagePathList = vipNumImagePathList;
    }
    /**
    * 获取 重打小票图片
    * @return smallTicketNumImagePathList
    */
    public List<String> getSmallTicketNumImagePathList(){
        return this.smallTicketNumImagePathList;
    }

    /**
    * 设置 重打小票图片
    * @param smallTicketNumImagePathList
    */
    public void setSmallTicketNumImagePathList(List<String> smallTicketNumImagePathList){
        this.smallTicketNumImagePathList = smallTicketNumImagePathList;
    }
    /**
    * 获取 现场签到图片
    * @return sceneSignImagePathList
    */
    public List<String> getSceneSignImagePathList(){
        return this.sceneSignImagePathList;
    }

    /**
    * 设置 现场签到图片
    * @param sceneSignImagePathList
    */
    public void setSceneSignImagePathList(List<String> sceneSignImagePathList){
        this.sceneSignImagePathList = sceneSignImagePathList;
    }
    /**
    * 获取 政务网取号图片
    * @return govNumImagePathList
    */
    public List<String> getGovNumImagePathList(){
        return this.govNumImagePathList;
    }

    /**
    * 设置 政务网取号图片
    * @param govNumImagePathList
    */
    public void setGovNumImagePathList(List<String> govNumImagePathList){
        this.govNumImagePathList = govNumImagePathList;
    }
    /**
    * 获取 标题颜色
    * @return titleColorStyleList
    */
    public List<String> getTitleColorStyleList(){
        return this.titleColorStyleList;
    }

    /**
    * 设置 标题颜色
    * @param titleColorStyleList
    */
    public void setTitleColorStyleList(List<String> titleColorStyleList){
        this.titleColorStyleList = titleColorStyleList;
    }
    /**
    * 获取 时间颜色
    * @return timeColorStyleList
    */
    public List<String> getTimeColorStyleList(){
        return this.timeColorStyleList;
    }

    /**
    * 设置 时间颜色
    * @param timeColorStyleList
    */
    public void setTimeColorStyleList(List<String> timeColorStyleList){
        this.timeColorStyleList = timeColorStyleList;
    }
    /**
    * 获取 数据标题颜色
    * @return dataTitleColorStyleList
    */
    public List<String> getDataTitleColorStyleList(){
        return this.dataTitleColorStyleList;
    }

    /**
    * 设置 数据标题颜色
    * @param dataTitleColorStyleList
    */
    public void setDataTitleColorStyleList(List<String> dataTitleColorStyleList){
        this.dataTitleColorStyleList = dataTitleColorStyleList;
    }
    /**
    * 获取 数据颜色
    * @return dataColorStyleList
    */
    public List<String> getDataColorStyleList(){
        return this.dataColorStyleList;
    }

    /**
    * 设置 数据颜色
    * @param dataColorStyleList
    */
    public void setDataColorStyleList(List<String> dataColorStyleList){
        this.dataColorStyleList = dataColorStyleList;
    }
    /**
    * 获取 备案颜色
    * @return recordColorStyleList
    */
    public List<String> getRecordColorStyleList(){
        return this.recordColorStyleList;
    }

    /**
    * 设置 备案颜色
    * @param recordColorStyleList
    */
    public void setRecordColorStyleList(List<String> recordColorStyleList){
        this.recordColorStyleList = recordColorStyleList;
    }
    /**
    * 获取 预览图片
    * @return previewImagePathList
    */
    public List<String> getPreviewImagePathList(){
        return this.previewImagePathList;
    }

    /**
    * 设置 预览图片
    * @param previewImagePathList
    */
    public void setPreviewImagePathList(List<String> previewImagePathList){
        this.previewImagePathList = previewImagePathList;
    }
    /**
    * 获取 开始 排序编号
    * @return sortNumStart
    */
    public Integer getSortNumStart(){
        return this.sortNumStart;
    }

    /**
    * 设置 开始 排序编号
    * @param sortNumStart
    */
    public void setSortNumStart(Integer sortNumStart){
        this.sortNumStart = sortNumStart;
    }

    /**
    * 获取 结束 排序编号
    * @return $sortNumEnd
    */
    public Integer getSortNumEnd(){
        return this.sortNumEnd;
    }

    /**
    * 设置 结束 排序编号
    * @param sortNumEnd
    */
    public void setSortNumEnd(Integer sortNumEnd){
        this.sortNumEnd = sortNumEnd;
    }

    /**
    * 获取 增加 排序编号
    * @return sortNumIncrement
    */
    public Integer getSortNumIncrement(){
        return this.sortNumIncrement;
    }

    /**
    * 设置 增加 排序编号
    * @param sortNumIncrement
    */
    public void setSortNumIncrement(Integer sortNumIncrement){
        this.sortNumIncrement = sortNumIncrement;
    }

    /**
    * 获取 排序编号
    * @return sortNumList
    */
    public List<Integer> getSortNumList(){
        return this.sortNumList;
    }

    /**
    * 设置 排序编号
    * @param sortNumList
    */
    public void setSortNumList(List<Integer> sortNumList){
        this.sortNumList = sortNumList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public SkinBaseQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public SkinBaseQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public SkinBaseQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public SkinBaseQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public SkinBaseQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  所属种类,来源种类
    * @param categoryId
    */
    public SkinBaseQuery categoryId(Long categoryId){
	    setCategoryId(categoryId);
		return this;
    }
	
	 /**
    * 设置 开始 所属种类,来源种类
    * @param categoryIdStart
    */
    public SkinBaseQuery categoryIdStart(Long categoryIdStart){
		this.categoryIdStart = categoryIdStart;
		return this;
    }

    /**
    * 设置 结束 所属种类,来源种类
    * @param categoryIdEnd
    */
    public SkinBaseQuery categoryIdEnd(Long categoryIdEnd){
		this.categoryIdEnd = categoryIdEnd;
		return this;
    }

    /**
    * 设置 增加 所属种类,来源种类
    * @param categoryIdIncrement
    */
    public SkinBaseQuery categoryIdIncrement(Long categoryIdIncrement){
		this.categoryIdIncrement = categoryIdIncrement;
		return this;
    }

    /**
    * 设置 所属种类,来源种类
    * @param categoryIdList
    */
    public SkinBaseQuery categoryIdList(List<Long> categoryIdList){
        this.categoryIdList = categoryIdList;
		return this;
        }


	/**
    * 设置 设备类型  (pdj.排队机，ckp.窗口屏，hjq.呼叫器，jzxsp.集中显示屏，dsj.导视机，pjq.评级器，zzfwzd.自助服务终端，tdj.填单机，ybj.样表机)
    * @param deviceType
    */
    public SkinBaseQuery deviceType(String deviceType){
        setDeviceType(deviceType);
		return this;
    }

    /**
    * 设置 设备类型  (pdj.排队机，ckp.窗口屏，hjq.呼叫器，jzxsp.集中显示屏，dsj.导视机，pjq.评级器，zzfwzd.自助服务终端，tdj.填单机，ybj.样表机)
    * @param deviceTypeList
    */
    public SkinBaseQuery deviceTypeList(List<String> deviceTypeList){
        this.deviceTypeList = deviceTypeList;
		return this;
    }


	/**
    * 设置 皮肤名称
    * @param shortName
    */
    public SkinBaseQuery shortName(String shortName){
        setShortName(shortName);
		return this;
    }

    /**
    * 设置 皮肤名称
    * @param shortNameList
    */
    public SkinBaseQuery shortNameList(List<String> shortNameList){
        this.shortNameList = shortNameList;
		return this;
    }


	/**
    * 设置 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    * @param imageResolution
    */
    public SkinBaseQuery imageResolution(String imageResolution){
        setImageResolution(imageResolution);
		return this;
    }

    /**
    * 设置 分辨率 (1.1920*1080，2.1080*1920，3.1280*1280)
    * @param imageResolutionList
    */
    public SkinBaseQuery imageResolutionList(List<String> imageResolutionList){
        this.imageResolutionList = imageResolutionList;
		return this;
    }


	/**
    * 设置 背景大图
    * @param backgroundImagePath
    */
    public SkinBaseQuery backgroundImagePath(String backgroundImagePath){
        setBackgroundImagePath(backgroundImagePath);
		return this;
    }

    /**
    * 设置 背景大图
    * @param backgroundImagePathList
    */
    public SkinBaseQuery backgroundImagePathList(List<String> backgroundImagePathList){
        this.backgroundImagePathList = backgroundImagePathList;
		return this;
    }


	/**
    * 设置 现场取号图片
    * @param sceneNumImagePath
    */
    public SkinBaseQuery sceneNumImagePath(String sceneNumImagePath){
        setSceneNumImagePath(sceneNumImagePath);
		return this;
    }

    /**
    * 设置 现场取号图片
    * @param sceneNumImagePathList
    */
    public SkinBaseQuery sceneNumImagePathList(List<String> sceneNumImagePathList){
        this.sceneNumImagePathList = sceneNumImagePathList;
		return this;
    }


	/**
    * 设置 预约取号图片
    * @param bookingNumImagePath
    */
    public SkinBaseQuery bookingNumImagePath(String bookingNumImagePath){
        setBookingNumImagePath(bookingNumImagePath);
		return this;
    }

    /**
    * 设置 预约取号图片
    * @param bookingNumImagePathList
    */
    public SkinBaseQuery bookingNumImagePathList(List<String> bookingNumImagePathList){
        this.bookingNumImagePathList = bookingNumImagePathList;
		return this;
    }


	/**
    * 设置 vip取号图片
    * @param vipNumImagePath
    */
    public SkinBaseQuery vipNumImagePath(String vipNumImagePath){
        setVipNumImagePath(vipNumImagePath);
		return this;
    }

    /**
    * 设置 vip取号图片
    * @param vipNumImagePathList
    */
    public SkinBaseQuery vipNumImagePathList(List<String> vipNumImagePathList){
        this.vipNumImagePathList = vipNumImagePathList;
		return this;
    }


	/**
    * 设置 重打小票图片
    * @param smallTicketNumImagePath
    */
    public SkinBaseQuery smallTicketNumImagePath(String smallTicketNumImagePath){
        setSmallTicketNumImagePath(smallTicketNumImagePath);
		return this;
    }

    /**
    * 设置 重打小票图片
    * @param smallTicketNumImagePathList
    */
    public SkinBaseQuery smallTicketNumImagePathList(List<String> smallTicketNumImagePathList){
        this.smallTicketNumImagePathList = smallTicketNumImagePathList;
		return this;
    }


	/**
    * 设置 现场签到图片
    * @param sceneSignImagePath
    */
    public SkinBaseQuery sceneSignImagePath(String sceneSignImagePath){
        setSceneSignImagePath(sceneSignImagePath);
		return this;
    }

    /**
    * 设置 现场签到图片
    * @param sceneSignImagePathList
    */
    public SkinBaseQuery sceneSignImagePathList(List<String> sceneSignImagePathList){
        this.sceneSignImagePathList = sceneSignImagePathList;
		return this;
    }


	/**
    * 设置 政务网取号图片
    * @param govNumImagePath
    */
    public SkinBaseQuery govNumImagePath(String govNumImagePath){
        setGovNumImagePath(govNumImagePath);
		return this;
    }

    /**
    * 设置 政务网取号图片
    * @param govNumImagePathList
    */
    public SkinBaseQuery govNumImagePathList(List<String> govNumImagePathList){
        this.govNumImagePathList = govNumImagePathList;
		return this;
    }


	/**
    * 设置 标题颜色
    * @param titleColorStyle
    */
    public SkinBaseQuery titleColorStyle(String titleColorStyle){
        setTitleColorStyle(titleColorStyle);
		return this;
    }

    /**
    * 设置 标题颜色
    * @param titleColorStyleList
    */
    public SkinBaseQuery titleColorStyleList(List<String> titleColorStyleList){
        this.titleColorStyleList = titleColorStyleList;
		return this;
    }


	/**
    * 设置 时间颜色
    * @param timeColorStyle
    */
    public SkinBaseQuery timeColorStyle(String timeColorStyle){
        setTimeColorStyle(timeColorStyle);
		return this;
    }

    /**
    * 设置 时间颜色
    * @param timeColorStyleList
    */
    public SkinBaseQuery timeColorStyleList(List<String> timeColorStyleList){
        this.timeColorStyleList = timeColorStyleList;
		return this;
    }


	/**
    * 设置 数据标题颜色
    * @param dataTitleColorStyle
    */
    public SkinBaseQuery dataTitleColorStyle(String dataTitleColorStyle){
        setDataTitleColorStyle(dataTitleColorStyle);
		return this;
    }

    /**
    * 设置 数据标题颜色
    * @param dataTitleColorStyleList
    */
    public SkinBaseQuery dataTitleColorStyleList(List<String> dataTitleColorStyleList){
        this.dataTitleColorStyleList = dataTitleColorStyleList;
		return this;
    }


	/**
    * 设置 数据颜色
    * @param dataColorStyle
    */
    public SkinBaseQuery dataColorStyle(String dataColorStyle){
        setDataColorStyle(dataColorStyle);
		return this;
    }

    /**
    * 设置 数据颜色
    * @param dataColorStyleList
    */
    public SkinBaseQuery dataColorStyleList(List<String> dataColorStyleList){
        this.dataColorStyleList = dataColorStyleList;
		return this;
    }


	/**
    * 设置 备案颜色
    * @param recordColorStyle
    */
    public SkinBaseQuery recordColorStyle(String recordColorStyle){
        setRecordColorStyle(recordColorStyle);
		return this;
    }

    /**
    * 设置 备案颜色
    * @param recordColorStyleList
    */
    public SkinBaseQuery recordColorStyleList(List<String> recordColorStyleList){
        this.recordColorStyleList = recordColorStyleList;
		return this;
    }


	/**
    * 设置 预览图片
    * @param previewImagePath
    */
    public SkinBaseQuery previewImagePath(String previewImagePath){
        setPreviewImagePath(previewImagePath);
		return this;
    }

    /**
    * 设置 预览图片
    * @param previewImagePathList
    */
    public SkinBaseQuery previewImagePathList(List<String> previewImagePathList){
        this.previewImagePathList = previewImagePathList;
		return this;
    }

    /**
    * 设置  排序编号
    * @param sortNum
    */
    public SkinBaseQuery sortNum(Integer sortNum){
	    setSortNum(sortNum);
		return this;
    }
	
	 /**
    * 设置 开始 排序编号
    * @param sortNumStart
    */
    public SkinBaseQuery sortNumStart(Integer sortNumStart){
		this.sortNumStart = sortNumStart;
		return this;
    }

    /**
    * 设置 结束 排序编号
    * @param sortNumEnd
    */
    public SkinBaseQuery sortNumEnd(Integer sortNumEnd){
		this.sortNumEnd = sortNumEnd;
		return this;
    }

    /**
    * 设置 增加 排序编号
    * @param sortNumIncrement
    */
    public SkinBaseQuery sortNumIncrement(Integer sortNumIncrement){
		this.sortNumIncrement = sortNumIncrement;
		return this;
    }

    /**
    * 设置 排序编号
    * @param sortNumList
    */
    public SkinBaseQuery sortNumList(List<Integer> sortNumList){
        this.sortNumList = sortNumList;
		return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public SkinBaseQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public SkinBaseQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public SkinBaseQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public SkinBaseQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public SkinBaseQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<SkinBaseQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<SkinBaseQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<SkinBaseQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<SkinBaseQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}